6.0.0-git
2019-03-24

[#11051] no login data in multiple smtp servers
Summary no login data in multiple smtp servers
Queue IMP
Queue Version 5.0.18
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester emilien (at) wifi (dot) e4a (dot) it
Created 2012-03-05 (2575 days ago)
Due
Updated 2012-08-29 (2398 days ago)
Assigned 2012-03-05 (2575 days ago)
Resolved 2012-03-06 (2574 days ago)
Milestone
Patch No

History
2012-08-29 12:32:14 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit dcea0067142f65cf959849ee94085ac81617f7f7
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Mar 6 16:04:09 2012 -0700

     [mms] Allow all SMTP configuration parameters to be overriden in 
the backends configuration file (Request #11051).

  imp/docs/CHANGES         |    2 ++
  imp/docs/UPGRADING       |    4 ++++
  imp/lib/Auth.php         |   18 ++++++------------
  imp/lib/Factory/Mail.php |   19 ++++++++-----------
  imp/package.xml          |    1 +
  5 files changed, 21 insertions(+), 23 deletions(-)

http://git.horde.org/horde-git/-/commit/dcea0067142f65cf959849ee94085ac81617f7f7
2012-03-23 10:20:55 Jan Schneider Comment #8 Reply to this comment
I have made the change of Commit 
dcea0067142f65cf959849ee94085ac81617f7f7 by hand on my IMP-5.0.18 
but show me always the same error from the 2nd smtp server: code: 
553, response: 5.7.1: Sender address rejected: not logged in

It's needed other changes?
This is well possible, there has been a lot refactoring in those 
libraries for Horde 5/IMP 6.
2012-03-23 10:08:47 emilien (at) wifi (dot) e4a (dot) it Comment #7 Reply to this comment
I have made the change of Commit 
dcea0067142f65cf959849ee94085ac81617f7f7 by hand on my IMP-5.0.18 but 
show me always the same error from the 2nd smtp server: code: 553, 
response: 5.7.1: Sender address rejected: not logged in

It's needed other changes?

Best regards,

Emilien
2012-03-06 23:25:55 Michael Slusarz Comment #6
State ⇒ Resolved
Reply to this comment
The ability to override all SMTP default parameters has been added to IMP 6.
2012-03-06 23:21:35 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit dcea0067142f65cf959849ee94085ac81617f7f7
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Mar 6 16:04:09 2012 -0700

     [mms] Allow all SMTP configuration parameters to be overriden in 
the backends configuration file (Request #11051).

  imp/docs/CHANGES         |    2 ++
  imp/docs/UPGRADING       |    4 ++++
  imp/lib/Auth.php         |   18 ++++++------------
  imp/lib/Factory/Mail.php |   19 ++++++++-----------
  imp/package.xml          |    1 +
  5 files changed, 21 insertions(+), 23 deletions(-)

http://git.horde.org/horde-git/-/commit/dcea0067142f65cf959849ee94085ac81617f7f7
2012-03-06 22:01:07 Michael Slusarz Comment #4 Reply to this comment
and this config is working fine for my instance in IMP backend, but 
the second instance that use another smtp ssl server doesn't work.
Does this SSL SMTP server use different authentication credentials 
than the default SMTP server?  IMP does not currently allow this to be 
changed.
2012-03-05 09:56:56 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2012-03-05 09:38:55 emilien (at) wifi (dot) e4a (dot) it Comment #3 Reply to this comment
Did you enable SMTP authentication in *Horde*'s configuration?
Yes from the horde conf.php:
$conf['mailer']['params']['host'] = 'localhost';
$conf['mailer']['params']['port'] = 25;
$conf['mailer']['params']['localhost'] = 'localhost';
$conf['mailer']['params']['auth'] = true;
$conf['mailer']['params']['username'] = 'email@domain.com';
$conf['mailer']['params']['password'] = 'emailpassword';
$conf['mailer']['type'] = 'smtp';

and this config is working fine for my instance in IMP backend, but 
the second instance that use another smtp ssl server doesn't work.

thank for your fast reply.

Best regards,

Emilien
2012-03-05 09:32:49 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Did you enable SMTP authentication in *Horde*'s configuration?
2012-03-05 09:26:16 emilien (at) wifi (dot) e4a (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ no login data in multiple smtp servers
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
In backend.local.php of imp/config I have setup two different istance 
with their smtp.
The second imap have smtp by ssl but when I try to send email this is 
the error that show in interface and in the logs:
Failed to add recipient: email@domain.com [SMTP: Invalid response code 
received from server (code: 553, response: 5.7.1 <sender@email.com>: 
Sender address rejected: not logged in)]

It seems horde doesn't send the login data to smtp/ssl server, the 
login data is the same of the imp login.
It's a way to send login data to smtp servers in multiple servers 
config of IMP?
Thank you for your reply :)

Best regards,

Emilien

Saved Queries